package com.dxhy.erp.task;

import com.dxhy.erp.entity.InvoiceElectron;
import com.dxhy.erp.service.QsCheckTaskService;

/**
 * @author jiaohongyang
 */
public class QsCheckThread extends Thread {
    private final QsCheckTaskService qsCheckTaskService;
    private final InvoiceElectron invoiceElectron;
    private final String db;

    public QsCheckThread(QsCheckTaskService qsCheckTaskService, String db, InvoiceElectron invoiceElectron) {
        this.qsCheckTaskService = qsCheckTaskService;
        this.invoiceElectron = invoiceElectron;
        this.db = db;
    }

    @Override
    public void run() {
        try {
            qsCheckTaskService.checkOne(invoiceElectron, db);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
